#!/bin/bash

#author: Radomir Mastalerz

# Kill all processes on remote machines.

rm -f kill.txt

for mach in `cat machines`; do
	echo $mach
	echo "############# $mach ###########" >> kill.txt
	echo "--- PS ---" >> kill.txt
	pid=`ssh $mach "ps aux | grep -v root | grep rm236104 | grep python | grep -v grep | head -n 1 | cut -d' ' -f3 "`
	if [ "$pid" != "" ]; then
		echo "--- KILL $pid ---" >> kill.txt
		ssh $mach "kill `ps aux | grep -v root | grep rm236104 | grep python | head -n 1 | cut -d' ' -f3` " 1>> kill.txt 2>> kill.txt
	else
		echo "--- KILL EMPTY ---" >> kill.txt
	fi
done

