#!/bin/bash
#author: Radomir Mastalerz

# Choose compters in labs at MIM UW that are switched on and working under linux.

rm -f testMachines.txt
rm -f testMachinesError.txt
rm -f chooseOkMachines.txt

./testMachines.sh 2> testMachines.txt &
pid=$!
wait $pid
sleep 10

cat testMachines.txt | cut -d" " -f5 > testMachinesError.txt &
pid=$!
wait $pid
sleep 5


for mach in `cat machinesAll`; do
	del=FALSE
	for machErr in `cat testMachinesError.txt`; do
		if [ "$mach" == "$machErr" ] ; then
			del=TRUE
		fi
	done
	if [ "$del" == "FALSE" ] ; then
		echo $mach >> chooseOkMachines.txt
	fi
done

cat chooseOkMachines.txt

