#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# Here you put all information about corpus used for cross-validation.

import copy
import os

corpusRoot="wypluwka_UltimarumTertia_subsets"
corpus = [
	corpusRoot+'/set0',		
	corpusRoot+'/set1',
	corpusRoot+'/set2',
	corpusRoot+'/set3',
	corpusRoot+'/set4',
	corpusRoot+'/set5',
	corpusRoot+'/set6',
	corpusRoot+'/set7',
	corpusRoot+'/set8',
	corpusRoot+'/set9']


def getLearningCorpusList(k,root=""):
	learningCorpus = copy.deepcopy(corpus)
	learningCorpusRooted = map(lambda x: os.path.join(root,x), learningCorpus)
	learningCorpusRooted.pop(k)
	return learningCorpusRooted
	
def getTestingCorpus(k, root=""):
	testingCorpus = corpus[k]
	return os.path.join(root,testingCorpus)


#corpusRoot="wypluwka_morphosyntax_subsets"
#learningCorpusList = [
#corpusRoot+'/set0',
#corpusRoot+'/set1',
#corpusRoot+'/set2',
#corpusRoot+'/set3',
#corpusRoot+'/set4',
#corpusRoot+'/set5',
#corpusRoot+'/set6',
#corpusRoot+'/set7',
#corpusRoot+'/set8']

#testingCorpus = corpusRoot+'/set9'
