#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# Here is an example of how to use maxent objects from python.

import maxEnt
import pprint
import time
import corpusInfo
from maxEnt import *

t_start = time.time()

model = maxent(corpusInfo.getLearningCorpusList(9),corpusInfo.getTestingCorpus(9))

model.processTrainingSet()
model.saveModel()

model.learn()
model.saveModel()

model.testAll()
model.saveModel()

model.printSummary()

t_end = time.time()

print ""
print "TOTAL RUNNING TIME = %.2f HOURS" % ((t_end-t_start)/3600.0)	
