#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# This program is run on remote machines. It learns models selected in the parameters.

import maxEnt
import sys
import corpusInfo
from maxEnt import *


if len(sys.argv) <= 4:
	print "Usage: ./learnSelectedModels root subset k n"	
else:	
	root = sys.argv[1]
	subset = int(sys.argv[2])
	k = int(sys.argv[3])
	n = int(sys.argv[4])
	model = maxent(corpusInfo.getLearningCorpusList(subset,root),corpusInfo.getTestingCorpus(subset,root))
	model.loadModel()
	model.learnSelectedModels(k,n)
	# do not save!
