#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# Phase 1, before distributed computations. Read corpus, create data structures, save model.

import maxEnt
import time
import corpusInfo
from maxEnt import *

t_start = time.time()

if len(sys.argv) < 2:
	print "Usage: ./preDistributed.py subset"
else:	
	subset = int(sys.argv[1])
	model = maxent(corpusInfo.getLearningCorpusList(subset),corpusInfo.getTestingCorpus(subset))

	model.processTrainingSet()
	model.createListOfModels()
	model.saveModel()

	t_end = time.time()

	print "@ TOTAL PRE-DISTRIBUTED = %.2f HOURS" % ((t_end-t_start)/3600.0)
