#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# Show most common errors made by tagger. You have to specify:
#  -subset (from 0 to 9)
#  -attrName (for example: ctag, case, gender)
#  -correctVal (for example: nom)
#  -predVal (for example: acc)

import corpusInfo
from maxEnt import *


if len(sys.argv) <= 4:
	print "Usage: ./showErrors subset attrName correctVal predVal"	
else:	
	for i in xrange(1,5):
		if sys.argv[i] == '_':
			sys.argv[i] = u''
	subset = int(sys.argv[1])
	attrName = sys.argv[2]
	correctVal = sys.argv[3]
	predVal = sys.argv[4]
	model = maxent(corpusInfo.getLearningCorpusList(subset),corpusInfo.getTestingCorpus(subset))
	model.loadModel(["globalResults"])
	model.showErrors(attrName,correctVal,predVal)
